Skip to main content
GET
/
api
/
pools
/
{id}
Stake pool information
curl --request GET \
  --url https://nexus-dev.gerowallet.io/api/pools/{id} \
  --header 'Authorization: Bearer <token>'
{
  "poolIdBech32": "<string>",
  "poolIdHex": "<string>",
  "poolStatus": "<string>",
  "activeEpochNo": 123,
  "retiringEpoch": 123,
  "marginPct": 123,
  "fixedCost": 123,
  "pledgeDeclared": 123,
  "deposit": 123,
  "rewardAddr": "<string>",
  "owners": [
    "<string>"
  ],
  "relays": [
    {
      "ipv4": "<string>",
      "ipv6": "<string>",
      "dns": "<string>",
      "port": 123
    }
  ],
  "metaUrl": "<string>",
  "metaHash": "<string>",
  "metaJson": "<unknown>",
  "vrfKeyHash": "<string>",
  "opCertCounter": 123,
  "blockCount": 123,
  "blocksMinted": 123,
  "activeStake": 123,
  "liveStake": 123,
  "livePledge": 123,
  "sigma": 123,
  "liveSaturationPct": 123,
  "liveStakePct": 123,
  "liveDelegators": 123,
  "ticker": "<string>",
  "poolGroup": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://nexus.gerowallet.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Token Authentication

Path Parameters

id
string
required
Minimum string length: 1

Query Parameters

network
enum<string>
Available options:
MAINNET,
PREPROD

Response

Successfully retrieved pool information

poolIdBech32
string
poolIdHex
string
poolStatus
string
activeEpochNo
integer<int64>
retiringEpoch
integer<int64>
marginPct
number
fixedCost
integer
pledgeDeclared
integer
deposit
integer
rewardAddr
string
owners
string[]
relays
object[]
metaUrl
string
metaHash
string
metaJson
any
vrfKeyHash
string
opCertCounter
integer<int64>
blockCount
integer<int64>
blocksMinted
integer<int64>
activeStake
integer
liveStake
integer
livePledge
integer
sigma
number
liveSaturationPct
number
liveStakePct
number
liveDelegators
integer<int64>
ticker
string
poolGroup
string